gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.NativeSocketAddress

Contents

- Exported types

Description

An socket address of some unknown native type.

Synopsis

- newtype NativeSocketAddress = NativeSocketAddress (ManagedPtr NativeSocketAddress)
- noNativeSocketAddress :: Maybe NativeSocketAddress

# Exported types

newtype NativeSocketAddress Source #

Memory-managed wrapper type.

Constructors

NativeSocketAddress (ManagedPtr NativeSocketAddress) |

Instances

WrappedPtr NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Structs.NativeSocketAddress Methods wrappedPtrCalloc :: IO (Ptr NativeSocketAddress) Source # wrappedPtrCopy :: NativeSocketAddress -> IO NativeSocketAddress Source # wrappedPtrFree :: Maybe (FunPtr (Ptr NativeSocketAddress -> IO ())) Source #

noNativeSocketAddress :: Maybe NativeSocketAddress Source #

A convenience alias for `Nothing` :: `Maybe` `NativeSocketAddress`.